org.eclipse.emf.cdo.ui.widgets

## Class CommitHistoryComposite.ContentProvider

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.net4j.util.ui.StructuredContentProvider<CDOCommitHistory>
      - - org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.ContentProvider

- All Implemented Interfaces:
    java.util.EventListener, IContentProvider, IStructuredContentProvider, IListener
  Enclosing class:
    CommitHistoryComposite

      public static class CommitHistoryComposite.ContentProvider
      extends StructuredContentProvider<CDOCommitHistory>

  Provides the content of a CommitHistoryComposite, i.e., the elements of a `CDOCommitHistory`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

      `collator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `connectInput(CDOCommitHistory history)`
    `protected void` | `disconnectInput(CDOCommitHistory history)`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

      `dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

      `getCollator`

    - ### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

      `category, compare, getComparator, isSorterProperty, sort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentProvider

          public ContentProvider()

  - ### Method Detail

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

    - #### connectInput

          protected void connectInput(CDOCommitHistory history)

      Overrides:
        `connectInput` in class `StructuredContentProvider<CDOCommitHistory>`

    - #### disconnectInput

          protected void disconnectInput(CDOCommitHistory history)

      Overrides:
        `disconnectInput` in class `StructuredContentProvider<CDOCommitHistory>`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html